import 'package:flutter/material.dart';
import 'package:rkm_educa_app/componentes/text_custom.dart';
import '../utils/cores.dart';

class ItemDrawer extends StatelessWidget {
  IconData icone;
  String texto;
  var onPressed;

  ItemDrawer({
    required this.texto,
    required this.icone,
    required this.onPressed
});

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return Container(
      padding: EdgeInsets.symmetric(horizontal: width*0.07),
      alignment: Alignment.centerLeft,
      child: TextButton.icon(
          onPressed: onPressed,
          icon: Icon(icone,color: PaletaCores.cinza,),
          label: TextCustom(text: texto,size: 16.0,)
      ),
    );
  }
}
